Compare stack profile versions
import requests
url = "https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/diff"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/diff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/diff \
--header 'Authorization: Bearer <token>'{
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_version": 123,
"to_version": 123,
"changes": [
{
"key": "<string>",
"change_type": "added",
"content_hash_before": "<string>",
"content_hash_after": "<string>",
"source": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Stack Profiles
Compare stack profile versions
Lists the spec entries added, modified or removed between two versions of a profile visible to the caller.
GET
/
api
/
v1
/
org
/
stack-profiles
/
{profile_id}
/
diff
Compare stack profile versions
import requests
url = "https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/diff"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/diff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/diff \
--header 'Authorization: Bearer <token>'{
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_version": 123,
"to_version": 123,
"changes": [
{
"key": "<string>",
"change_type": "added",
"content_hash_before": "<string>",
"content_hash_after": "<string>",
"source": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Version to compare from.
Version to compare to.